//问答社区模块
import { httpGet, httpPost } from "@/utils/request.js";

/**
 * 问答列表
 * @param chart_permission_id
 * @param reply_status 0-全部 2-待回答 3-已回答
 */
 export const apiQuestionList=params=>{
    return httpGet('/community/question/list',params)
}
/**
 * FICC品种权限
 */
 export const apiOptionList=params=>{
    return httpGet('/company/permission/tree',params)
}
/**
 * 研究方向分组列表 
 */
export const apiOptionGroupList = params=>{
    return httpGet('/community/question/research_group',params)
}
/**
 * 发布提问
 * @param question_content
 */
 export const apiPubAsk=params=>{
    return httpPost('/community/question/ask',params)
}
/**
 * 问答列表数量统计
 */
 export const apiBarTotal=params=>{
    return httpGet('/community/question/list/total',params)
}

/**
 * 发布回答
 * @param question_id 
 * @param audio_list 
 */
 export const apiReplayAsk=params=>{
    return httpPost('/community/question/reply',params)
}

/**
 * 问答详情
 * @param question_id 
 */
 export const apiGetQuestion=params=>{
    return httpGet('/community/question/detail',params)
}
/**
 * 我的-未读数
 */
 export const apiGetUnread=params=>{
    return httpGet('/community/question/unread',params)
}
/**
 * 问答已读(批量)
 * @param question_ids
 */
export const apiSetRead = params=>{
    return httpPost('/community/question/reply/read',params)
}